Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.timer
Class TimerManager.ProcessTimerOutputMarshaller

    java.lang.Object
      org.jbpm.process.instance.timer.TimerManager.ProcessTimerOutputMarshaller

All Implemented Interfaces:
  org.drools.core.marshalling.impl.TimersOutputMarshaller

Enclosing class:
  TimerManager

    public static class TimerManager.ProcessTimerOutputMarshaller

extends Object
implements org.drools.core.marshalling.impl.TimersOutputMarshaller

Constructor Summary
`TimerManager.ProcessTimerOutputMarshaller()`

Method Summary
`org.drools.core.marshalling.impl.ProtobufMessages.Timers.Timer` | `serialize(org.drools.core.time.JobContext jobCtx, org.drools.core.marshalling.impl.MarshallerWriteContext outputCtx)`
`void` | `write(org.drools.core.time.JobContext ctx, org.drools.core.marshalling.impl.MarshallerWriteContext outCtx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerManager.ProcessTimerOutputMarshaller

    public TimerManager.ProcessTimerOutputMarshaller()

Method Detail

### write

    public void write(org.drools.core.time.JobContext ctx,
                      org.drools.core.marshalling.impl.MarshallerWriteContext outCtx)
               throws IOException

  Specified by:
    `write` in interface `org.drools.core.marshalling.impl.TimersOutputMarshaller`
  Throws:
    `IOException`

### serialize

    public org.drools.core.marshalling.impl.ProtobufMessages.Timers.Timer serialize(org.drools.core.time.JobContext jobCtx,
                                                                                    org.drools.core.marshalling.impl.MarshallerWriteContext outputCtx)

  Specified by:
    `serialize` in interface `org.drools.core.marshalling.impl.TimersOutputMarshaller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.